| Home | Libraries | People | FAQ | More

## Function ireplace_first_copy

boost::algorithm::ireplace_first_copy — Replace first algorithm ( case insensitive ).

## Synopsis

    // In header: <boost/algorithm/string/replace.hpp>

    template<typename OutputIteratorT, typename Range1T, typename Range2T,
             typename Range3T>
      OutputIteratorT
      ireplace_first_copy(OutputIteratorT Output, const Range1T & Input,
                          const Range2T & Search, const Range3T & Format,
                          const std::locale & Loc = std::locale());
    template<typename SequenceT, typename Range2T, typename Range1T>
      SequenceT ireplace_first_copy(const SequenceT & Input,
                                    const Range2T & Search,
                                    const Range1T & Format,
                                    const std::locale & Loc = std::locale());

## Description

Replace the first match of the search substring in the input with the format string. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator. Searching is case insensitive.

Parameters: |
`Format` | A substitute string
`Input` | An input string
`Loc` | A locale used for case insensitive comparison
`Output` | An output iterator to which the result will be copied
`Search` | A substring to be searched for
Returns: | An output iterator pointing just after the last inserted character or a modified copy of the input
Notes: | The second variant of this function provides the strong exception-safety guarantee